# Update the metadata of the journey bundle

Update the editable journey bundle information. The following fields are editable with this API.
  - name
  - description
  - latestJourneyId
To update the latest journey, the following validation checks the validity of the operation.
  - The journey must exist and belong to this journey bundle
  - The journey must be launched
The case when launching new journey as the latest is treated by the POST journey endpoint with the 
journeyBundleId.

Endpoint: PATCH /entities/journey_bundles/{journeyBundleId}
Version: 1.0.0
Security: TdApikeyAuth

## Path parameters:

  - `journeyBundleId` (integer, required)
    Journey Bundle ID

## Request fields (application/json):

  - `id` (string)

  - `type` (string)
    Enum: "journeyBundle"

  - `attributes` (object)

  - `attributes.name` (string)
    Name of the journey bundle

  - `attributes.description` (string)
    Description of the journey bundle

  - `attributes.latestJourneyId` (string)

  - `relationships` (object)

  - `relationships.parentFolder` (object)

  - `relationships.parentFolder.data` (object)

  - `relationships.parentFolder.data.id` (string, required)

  - `relationships.parentFolder.data.type` (string, required)
    Enum: "folder-segment"

## Response 200 fields (application/json):

  - `name` (string)
    Name of the journey bundle

  - `description` (string)
    Description of the journey bundle

  - `latestJourneyId` (any)
    Derived from the initial journey version name

  - `lastVersionNumber` (integer)
    The version number of the most recently created journey. If no journey has been created, this will be 0.

  - `journeys` (array)

  - `journeys.id` (string, required)

  - `journeys.type` (string, required)
    Enum: "journey"

  - `journeys.attributes` (object, required)

  - `journeys.attributes.audienceId` (string, required)

  - `journeys.attributes.name` (string, required)

  - `journeys.attributes.description` (string,null, required)

  - `journeys.attributes.state` (string, required)
    Enum: "draft", "simulation", "launched"

  - `journeys.attributes.goal` (object,null, required)

  - `journeys.attributes.goal.name` (string, required)

  - `journeys.attributes.goal.description` (string)

  - `journeys.attributes.goal.segmentId` (string, required)

  - `journeys.attributes.goal.target` (object)

  - `journeys.attributes.goal.target.journeyId` (string, required)

  - `journeys.attributes.goal.target.journeyStageId` (string, required)

  - `journeys.attributes.goal.target.journeyBundleId` (string,null)

  - `journeys.attributes.goal.target.stageOrderIndex` (integer,null)

  - `journeys.attributes.goal.target.jumpReferenceId` (string,null)
    The reference id of the jump target. This is used to identify the jump entity in the included field.

  - `journeys.attributes.createdAt` (string, required)

  - `journeys.attributes.updatedAt` (string, required)

  - `journeys.attributes.journeyStages` (array, required)

  - `journeys.attributes.journeyStages.id` (string)

  - `journeys.attributes.journeyStages.name` (string, required)

  - `journeys.attributes.journeyStages.description` (string)

  - `journeys.attributes.journeyStages.steps` (object,null)

  - `journeys.attributes.journeyStages.steps.uuid` (any) — one of:
    - JourneyActivationStep:
      - `type` (any, required)
        Enum: "Activation"
      - `name` (string, required)
      - `journeyActivationStepId` (string, required)
      - `next` (string)
    - JourneyDecisionPointStep:
      - `type` (any, required)
        Enum: "DecisionPoint"
      - `name` (string, required)
      - `branches` (array, required)
    - JourneyMergeStep:
      - `type` (any, required)
        Enum: "Merge"
      - `name` (string)
      - `next` (string)
    - JourneyJumpStep:
      - `type` (any, required)
        Enum: "Jump"
      - `name` (string, required)
      - `target` (object, required)
    - JourneyEndStep:
      - `type` (any)
        Enum: "End"
      - `name` (string)
    - JourneyAbTestStep:
      - `type` (any, required)
        Enum: "AbTest"
      - `name` (string, required)
      - `customizedSplit` (boolean, required)
      - `uniqueId` (string)
      - `variants` (array, required)

  - `journeys.attributes.journeyStages.rootStep` (string)

  - `journeys.attributes.journeyStages.entryCriteria` (object,null)

  - `journeys.attributes.journeyStages.milestone` (object,null)

  - `journeys.attributes.journeyStages.exitCriterias` (array)

  - `journeys.attributes.paused` (boolean, required)

  - `journeys.attributes.pausedAt` (string,null, required)

  - `journeys.attributes.allowReentry` (boolean, required)

  - `journeys.attributes.reentryMode` (string)
    Enum: "no_reentry", "reentry_unless_goal_achieved", "reentry_always"

  - `journeys.attributes.journeyBundleId` (string,null)

  - `journeys.attributes.journeyBundleName` (string,null)

  - `journeys.attributes.versionNumber` (integer)

  - `journeys.attributes.journeyBundleDescription` (string,null)

  - `journeys.attributes.latestExecution` (object,null)
    The most recent execution of the journey workflow. If no executions have been created, this will be null.

  - `journeys.attributes.latestExecution.workflowId` (string, required)

  - `journeys.attributes.latestExecution.workflowSessionId` (string, required)

  - `journeys.attributes.latestExecution.createdAt` (string, required)

  - `journeys.attributes.latestExecution.finishedAt` (string,null, required)

  - `journeys.attributes.latestExecution.status` (string, required)
    Enum: "success", "canceled", "error", "canceling", "blocked", "queued", "running"

  - `journeys.attributes.latestExecution.workflowAttemptId` (string, required)

  - `journeys.relationships` (object, required)

  - `journeys.relationships.parentFolder` (object)

  - `journeys.relationships.createdBy` (object)

  - `journeys.relationships.createdBy.data` (object,null)

  - `journeys.relationships.createdBy.data.id` (string, required)

  - `journeys.relationships.createdBy.data.type` (string, required)
    Enum: "user"

  - `journeys.relationships.updatedBy` (object)

  - `latestExecution` (object)
    The most recent execution of the latest journey. If no executions have been created, this will be null.

  - `latestExecution.workflowId` (string, required)

  - `latestExecution.workflowSessionId` (string, required)

  - `latestExecution.createdAt` (string, required)

  - `latestExecution.finishedAt` (string,null, required)

  - `latestExecution.status` (string, required)
    Enum: same as `journeys.attributes.latestExecution.status` (7 values)

  - `latestExecution.workflowAttemptId` (string, required)

  - `parentSegmentLatestExecution` (object)
    The most recent execution of the latest journey. If no executions have been created, this will be null.

  - `parentSegmentLatestExecution.workflowId` (string, required)

  - `parentSegmentLatestExecution.workflowSessionId` (string, required)

  - `parentSegmentLatestExecution.createdAt` (string, required)

  - `parentSegmentLatestExecution.finishedAt` (string,null, required)

  - `parentSegmentLatestExecution.status` (string, required)
    Enum: same as `journeys.attributes.latestExecution.status` (7 values)

  - `parentSegmentLatestExecution.workflowAttemptId` (string, required)

  - `parentSegmentLatestExecution.audienceId` (string)

  - `included` (array)
    - `id` (string, required)
    - `type` (string, required)
      Enum: same as `journeys.relationships.createdBy.data.type` (1 values)
    - `attributes` (object, required)
    - `attributes.tdUserId` (string, required)
    - `attributes.name` (string, required)


